{ pkgs ? import <nixpkgs> {}
, inputs ? {}
, ghc ? null
, withHoogle ? false
}:
let
  haskellPackages =
    if ghc == null
    then pkgs.haskellPackages
    else pkgs.haskell.packages.${ghc};
  hs = haskellPackages.extend (with pkgs.haskell.lib; hself: hsuper: {
    symantic-base = buildFromSdist (hself.callCabal2nix "symantic-document" ./. {});
  });
in hs.symantic-document // {
  shell = hs.shellFor {
    #doBenchmark = true;
    packages = p: [ p.symantic-document ];
    nativeBuildInputs = [
      hs.cabal-install
      hs.ghcid
      hs.hlint
      hs.haskell-language-server
    ];
    inherit withHoogle;
  };
}
